>We’re working on Vuestic UI component library, which lets you easily customize components to your own design.<br>
>Get early access and receive support from the core team! 😎<br>
>[Sign up now](https://vuestic-ui.epicmax.co)

<br>
<br>


<p align="center">
  English | <a href="./README.zh-CN.md"> 简体中文 </a> | <a href="./README.ja-JP.md"> 日本語 </a>
</p>

<h1 align="center"> Vuestic Admin </h1>

<p align="center">
  Free and beautiful Vue.js admin template with 44+ custom UI components.</br>
  Developed by  <a href="https://epicmax.co">Epicmax</a>.
  Designed by <a href="https://www.xxsavitski.com">Vasili Savitski</a>
</p>

<p align="center">
  <a href="https://vuestic.epicmax.co"> Demo </a> | <a href="https://vuestic.epicmax.co/admin/dashboard?theme=corporate"> New white theme demo </a> | <a href="https://github.com/epicmaxco/vuestic-admin/wiki"> Documentation </a>
</p>
<p align="center">
  <a href="https://vuestic.epicmax.co" target="_blank">
    <img src="https://i.imgur.com/N9AeaSc.jpg" align="center" width="888px"/>
  </a>
</p>

<p align="center">
  <a href="https://circleci.com/gh/epicmaxco/vuestic-admin">
    <img src="https://img.shields.io/circleci/build/github/epicmaxco/vuestic-admin/master" alt="Circleci">
  </a>
</p>

<h2>
  <a href="https://vuestic.epicmax.co/admin/dashboard?theme=corporate" target="_blank">
    New white theme demo
  </a>
</h2>

<p align="center">
  <a href="https://vuestic.epicmax.co/admin/dashboard?theme=corporate" target="_blank">
    <img src="https://i.imgur.com/DnFcrjD.png" align="center" width="888px"/>
  </a>
</p>

## Installation

First of all, make sure you have all prerequisites installed:
- [Node.js](https://nodejs.org/en/) (>=8.9)
- [npm](https://www.npmjs.com/get-npm) version 3+ (or [yarn](https://yarnpkg.com/lang/en/docs/install/#mac-stable) version 1.16+)  and [Git](https://git-scm.com/).

After checking the prerequisites, follow these simple steps to install and use Vuestic Admin:

```
# clone the repo
$ git clone https://github.com/epicmaxco/vuestic-admin.git myproject

# go into app's directory and install dependencies:
$ cd myproject

```

Then, if you use npm:

```
$ npm install

# serve with hot reload at localhost:8080 by default.
$ npm run serve

# build for production
$ npm run build

# build for production and view the bundle analyzer report.
$ npm run build --report
```

If you use yarn:
```
$ yarn install

# serve with hot reload at localhost:8080 by default.
$ yarn serve

# build for production
$ yarn build

# build for production and view the bundle analyzer report.
$ yarn build --report
```

## Features
[Responsive layout](https://vuestic.epicmax.co/#/admin/dashboard) |
[charts (Chart.js)](https://vuestic.epicmax.co/#/admin/statistics/charts) |
[progress bars](https://vuestic.epicmax.co/#/admin/statistics/progress-bars) |
[forms](https://vuestic.epicmax.co/#/admin/forms/form-elements) |
[selects](https://vuestic.epicmax.co/#/admin/forms/form-elements) |
[date pickers](https://vuestic.epicmax.co/#/admin/forms/form-elements) |
[checkboxes and radios](https://vuestic.epicmax.co/#/admin/forms/form-elements) |
[static tables and data tables](https://vuestic.epicmax.co/#/admin/tables/data) |
[medium editor](https://vuestic.epicmax.co/#/admin/forms/medium-editor) |
[smooth typography](https://vuestic.epicmax.co/#/admin/ui/typography) |
[buttons](https://vuestic.epicmax.co/#/admin/ui/buttons) |
[collapses](https://vuestic.epicmax.co/#/admin/ui/collapses) |
[color pickers](https://vuestic.epicmax.co/#/admin/ui/color-pickers) |
[timelines](https://vuestic.epicmax.co/#/admin/ui/timelines) |
[toasts](https://vuestic.epicmax.co/#/admin/ui/notifications) |
[tooltips](https://vuestic.epicmax.co/#/admin/ui/popovers) |
[popovers](https://vuestic.epicmax.co/#/admin/ui/popovers) |
[icons](https://vuestic.epicmax.co/#/admin/ui/icons/) |
[spinners](https://vuestic.epicmax.co/#/admin/ui/spinners) |
[modals](https://vuestic.epicmax.co/#/admin/ui/modals) |
[file upload](https://vuestic.epicmax.co/#/admin/ui/file-upload) |
[chips](https://vuestic.epicmax.co/#/admin/ui/chips) |
[trees](https://vuestic.epicmax.co/#/admin/ui/tree-view) |
[cards](https://vuestic.epicmax.co/#/admin/ui/cards) |
[ratings](https://vuestic.epicmax.co/#/admin/ui/rating) |
[sliders](https://vuestic.epicmax.co/#/admin/ui/sliders) |
[chat](https://vuestic.epicmax.co/#/admin/ui/chatPage) |
[maps (Google, Yandex, Leaflet, amMap)](https://vuestic.epicmax.co/#/admin/maps/google-maps) |
[login/signup pages templates](https://vuestic.epicmax.co/#/auth/login) |
[404 pages templates](https://vuestic.epicmax.co/#/admin/pages/404-pages) |
[i18n](https://vuestic.epicmax.co/#/admin/dashboard)


## Browser Support
Modern browsers and IE11

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera |
| --- | --- | --- | --- | --- |
| IE11, Edge | last 2 versions | last 2 versions | last 2 versions | last 2 versions |


## Contributing
Thanks for all your wonderful PRs, issues and ideas. You’re always welcome to [join](https://github.com/epicmaxco/vuestic-admin/blob/master/.github/CONTRIBUTING.md)!

[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/0)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/0)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/1)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/1)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/2)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/2)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/3)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/3)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/4)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/4)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/5)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/5)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/6)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/6)[![](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/images/7)](https://sourcerer.io/fame/smartapant/epicmaxco/vuestic-admin/links/7)

## Can I hire you guys?
Yes! Say hi: [hello@epicmax.co](mailto:hello@epicmax.co) </br>
We will be happy to work with you! Other [work we’ve done](https://epicmax.co)

## Follow us
Stay up to date with the latest Vuestic news! Follow us on [Twitter](https://twitter.com/epicmaxco) or [Facebook](https://facebook.com/epicmaxco)

## License
[MIT](https://github.com/epicmaxco/vuestic-admin/blob/master/LICENSE) license.
